The loan agreement object contains a document_url where the agreement is hosted and can have a status of pending_signature, signed, or expired. Loan agreements that are not signed within 24 hours expire and need to be re-createdDocumentation Index
Fetch the complete documentation index at: https://pier.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Create loan agreement
POST /loan_agreementsSign loan agreement
POST /loan_agreements/{loan_agreement_id}/signRetrieve a loan agreement
GET /loan_agreements/{loan_agreement_id}List loan agreements
GET /loan_agreementsLoad Agreement Object
Parameters
Unique identifier for the loan agreement
The application_id of the corresponding loan application the agreement is for
Timestamp the loan agreement object is created on
Url where the loan agreement document is hosted
Timestamp of when e-signature is completed
The status of the document. Can be one of
pending_signature, signed, or expiredLoad agreement object
Load agreement object

